Search documentation of ExStreamClient

# ExStreamClient.Model.WSEvent (ExStreamClient v0.1.10)

View Source

Schema representing a WSEvent

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.WSEvent{
      automoderation: boolean() | nil,
      automoderation_scores: ExStreamClient.Model.ModerationResponse.t() | nil,
      channel: ExStreamClient.Model.ChannelResponse.t() | nil,
      channel_id: String.t() | nil,
      channel_last_message_at: float() | nil,
      channel_type: String.t() | nil,
      cid: String.t() | nil,
      connection_id: String.t() | nil,
      created_at: float(),
      created_by: ExStreamClient.Model.UserResponse.t() | nil,
      custom: %{optional(String.t()) => any()},
      me: ExStreamClient.Model.OwnUserResponse.t() | nil,
      member: ExStreamClient.Model.ChannelMember.t() | nil,
      message: ExStreamClient.Model.MessageResponse.t() | nil,
      message_update: ExStreamClient.Model.MessageUpdate.t() | nil,
      parent_id: String.t() | nil,
      poll: ExStreamClient.Model.PollResponseData.t() | nil,
      poll_vote: ExStreamClient.Model.PollVoteResponseData.t() | nil,
      reaction: ExStreamClient.Model.ReactionResponse.t() | nil,
      reason: String.t() | nil,
      team: String.t() | nil,
      thread: ExStreamClient.Model.ThreadResponse.t() | nil,
      thread_id: String.t() | nil,
      type: String.t(),
      user: ExStreamClient.Model.UserResponse.t() | nil,
      user_id: String.t() | nil,
      watcher_count: integer() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()